# Uses of Interface
java.lang.ref.Cleaner.Cleanable

Packages that use Cleaner.Cleanable
Package
Description
java.lang.ref
Provides reference-object classes, which support a limited degree of interaction with the garbage collector.

## Uses of Cleaner.Cleanable in java.lang.ref

Methods in java.lang.ref that return Cleaner.Cleanable
Modifier and Type
Method
Description
`Cleaner.Cleanable`
Cleaner.`register​(Object obj, Runnable action)`
Registers an object and a cleaning action to run when the object becomes phantom reachable.